import { createSignal } from "solid-js";
import { NewRegister } from "./NewRegister";
import { Registers } from "./Registers";
import { Search } from "./Search";
import { Person } from "../types/Person";

export function Certs() {
    const [person, setPerson] = createSignal<Person | null>(null);

    return (
        <div class="grid grid-cols-[16rem_25rem_1fr]">
            <Search setPerson={setPerson} />
            <NewRegister personId={0} onSuccess={() => {}} />
            <Registers person={person()} />
        </div>
    );
}
